egenix-mx-package error : copy_reg is not intended for use with classes

Thomas Weholt thomas at
Mon Nov 19 02:28:06 CET 2001

Well, it's probably the pgdb module that comes with PostgreSQL 7.1.3 I've
just installed but ....

Anyway :

I've installed PostgreSQL 7.1.3 with python enabled. Tried to use
but it needed mxDateTime, so I installed

Now I get the following error :

Python 2.1.1 (#1, Aug 30 2001, 17:36:05)
[GCC 2.96 20000731 (Mandrake Linux 8.1 2.96-0.61mdk)] on linux-i386
Type "copyright", "credits" or "license" for more information.
>>> import pgdb
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File "/usr/lib/python2.1/site-packages/", line 64, in ?
    try: from mx import DateTime
  File "mx/DateTime/", line 40, in ?
    class modinit:
  File "mx/DateTime/", line 50, in modinit
  File "/usr/lib/python2.1/", line 16, in pickle
    raise TypeError("copy_reg is not intended for use with classes")
TypeError: copy_reg is not intended for use with classes

This is on a Mandrake 8.1-box.

Any clues ??


More information about the Python-list mailing list